/* eslint-env jest */
import { SldsColorPickerPanel } from '../color-picker-panel';
import * as utils from '../../../../../.jest/utils';
// Register panel element for jest wrapper
customElements.define('slds-color-picker-panel', SldsColorPickerPanel);

describe('slds-color-picker-panel', () => {
  afterEach(() => {
    // The jsdom instance is shared across test cases in a single file so reset the DOM
    while (document.body.firstChild) {
      document.body.removeChild(document.body.firstChild);
    }
  });
  it(' attribute exists on slds element', async () => {
    const element = utils.renderIntoBody(`<slds-button variant="brand">Test</slds-button>`);
    expect(element).toHaveAttribute('variant', 'brand');
  });
  it(' attribute exists on slds element', async () => {
    const element = utils.renderIntoBody(`<slds-button variant="neutral">Test</slds-button>`);
    expect(element).toHaveAttribute('variant', 'neutral');
  });
});
